Edit an Outbound Route
Edit the configuration of an outbound route.
Request URL
POST {base_url}/{api_path}/outbound_route/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the outbound route.Note:To obtain the outbound route's ID, see Search Specific Outbound Routes. |
| name | No | String | Outbound route name. |
| outbound_cid | No | String | Outbound caller ID. |
| dial_pattern_list | No | Array<Dial_Pattern_List> | The dial pattern of the outbound route. |
| trunk_list | No | Array<Trunk_List> | The selected trunk in the outbound route. |
| ext_list | No | Array<Ext_List> | The selected extensions in the outbound route. |
| pin_protect | No | String | Outbound route password. Valid value:
|
| pin | No | String | Single PIN code. Note: This parameter is required when the value of pin_protect is set to single_pin. |
| pin_list | No | Integer | The unique ID of the selected PIN list. Note:
|
Dial_Pattern_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| pattern | No | String | The dial pattern matching rules. |
| strip | No | Integer | The number of digits that will be stripped from the beginning of a dialed number before the call is placed. |
| prepend | No | String | The digits that will be prepended to the phone number before the call is placed. |
Trunk_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the selected trunk. |
| name | No | String | Trunk name. |
| type | No | String | Trunk type. |
Ext_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the selected extension/extension group/organization. Note: You can query the desired ID using Get Menu Options. |
| ext_number | No | String | Extension number. |
| ext_name | No | String | The name of the extension/extension group/organization. |
| type | Yes | String | The selected type. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
POST /openapi/v1.0/outbound_route/update?access_token=EepE7JpKkhEWCjiOVqi9u3TJnYF1vLg1 HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id": 19,
"pin_protect":"single_pin",
"pin":"1234"
}Response example
HTTP 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}